23.06.2015 12:28    

semiyildiz
Merhaba arkadaşlar,

Benimde bir lisp isteğim olacak şöyle;

çizim içerisindeki çizgileri çakışma veya kesişme noktalarından bölecek ,mesela break komutu gibi,

bunu tesisat projelerinde boru hatlarında tek line üzerinde çap ayrımlarını ve farlı çaptaki uzunlukları toplatmak için istiyorum,

yardımcı olabilirseniz sevinirim,

teşekkürler..

24.06.2015 05:16    

halilozcakir


Linkleri görebilmek için ÜYE olmalısınız.

24.06.2015 07:05    

semiyildiz
teşekkürler,

24.06.2015 07:23    

semiyildiz



komut farklı layerların kesişim noktasından bölüyor galiba,şekilde ki çizgi üzerindeki ayrım noktalarından bölmedi,yardımcı olabilirmisiniz..

24.06.2015 07:35    

semiyildiz
brln komutu iş görüyor ancak onda da tek tek bölünecek çizgileri tek tek seçmem gerekiyor bunu toplu olarak seçim yaptırabilirmiyiz..

30.06.2015 07:06    

alumina
Alıntı
semiyildiz :
brln komutu iş görüyor ancak onda da tek tek bölünecek çizgileri tek tek seçmem gerekiyor bunu toplu olarak seçim yaptırabilirmiyiz..



Komut Adi: lb

Kolay gelsin..

https://cizimokulu.com/datas/users/333661-lb.rar

30.06.2015 09:06    

alfaoz
merhaba; çizdiğimiz polyline çizgilerinin her kırık ölçüsünü ait olduğu çizginin ortasına yazdıracak bir lispe ihtiyacım var. Amacım: mahallerde oluşturduğum polylinelar ile duvar ölçülerini de çıkartmak istiyorum. hesapda kullanacağım için görseli çok önemli değil okunur boyutta yazsa yeterli. mümkünse kapalı alanlarda içe yazılsa daha iyi olur. yardımcı olursanız sevinirim.

06.07.2015 10:29    

alfaoz
ben ihtiyacım olan lispi buldum. Başka ihtiyaç duyabilecekler için paylaşıyorum teşekkürler.
Kod:

(defun c:MLin()
(setvar "luprec" 2)
(Cre_Lay "dist" 6)
(setq disttot 0)
(setq lines(ssget (list (cons 0 "line,pline,lwpolyline"))))
(setq ctr 0)
(if (/= lines nil)
(progn
(setq len(sslength lines))
(repeat len
(setq ent(ssname lines ctr))
(setq pntList(ReadPline ent))
(setq ptCntr 0)
(repeat (1- (length pntList))
(setq fpoint(nth ptCntr pntList))
(setq epoint(nth (1+ ptCntr) pntList))
(setq thr(distance fpoint epoint))
(setq fou(angle fpoint epoint))
(setq ang(* (/ fou pi) 180))
(if (and (>= ang 90) (<= ang 270)) (setq ang(rtos (+ ang 180))) (setq ang(rtos ang)))
(setq txt_ins(MidP fpoint epoint))
(command "._Text" "j" "bc" txt_ins "12" ang (rtos thr))
(command "._Change" (entlast) "" "p" "la" "dist" "")
(setq disttot(+ disttot (distance fpoint epoint)))
(setq ptCntr(1+ ptCntr))
)
(setq ctr(1+ ctr))
)
(princ (strcat "\nTotal distance :"  (rtos disttot 2 4)))
)
)
(princ)
)
(princ "\nType "MLin" to Measure each Segment of the Polyline.")  (princ)

; Function to find the mid point of two points.
(defun MidP(midp_fpo midp_spo)
(setq midp_mpo(list (/ (+ (car midp_fpo) (car midp_spo)) 2) (/ (+ (cadr midp_fpo) (cadr midp_spo)) 2)))
)

;Function to Create a Layer with given color.
(defun Cre_Lay(lay_layn lay_laycol)
(if (= (tblsearch "Layer" lay_layn) nil)
(command "._Layer" "n" lay_layn "c" lay_laycol lay_layn "")
(command "._Layer" "t" lay_layn "on" lay_layn "c" lay_laycol lay_layn "")
)
(princ)
)

;Function to Read Vertices of Selected Lines.
(defun ReadPline(imp_Ent)
(setq glb_obj(vlax-ename->vla-object imp_Ent))
(setq glb_PntCnt(vlax-curve-getEndParam glb_obj))
(setq returnPTList '())
(setq ptCntr 1)
(setq glb_oName(vlax-get-property glb_obj 'ObjectName))
(setq glb_OClosed nil)
(if (= glb_oName "AcDbLine")
(progn
(setq glb_EnDetails(entget imp_Ent))
(setq big_Point3d(cdr (assoc 10 glb_EnDetails)))
(setq end_Point3d(cdr (assoc 11 glb_EnDetails)))
(setq returnPTList(append returnPTList (list big_Point3d)))
(setq returnPTList(append returnPTList (list end_point3d)))
)
(progn
(setq glb_OClosed(vlax-curve-isClosed glb_obj))
(setq glb_2dDist 0)
(setq old_Point nil)
(repeat (1+ (fix glb_PntCnt))
(setq cur_Point3d(vlax-curve-getPointAtParam glb_obj (1- ptCntr)))
(setq returnPTList(append returnPTList (list cur_Point3d)))
(setq ptCntr(1+ ptCntr))
)
)
)
(setq return returnPTList)
)

12.07.2015 14:59    

oparlayan
kolay gelsin arkadaşlar bende bir lisp isteyeceğim;
secili yazılardan istediğim yazı karakterinin isteğimin fontta olanların içindeki istediğim harf veya sayıyı isteğim harf veya sayı ile değiştirmesini yapacak bir lisp varmı acaba ... çok şey istedim sanırım ...

13.08.2015 11:29    

proje86
selamlar
bir lispe ihtiyacım var

previous plot yapıp verdiğim koordinatlar arasını yazdıran

şimdiden teşekkür ederim.

01.10.2015 09:57    

abdoss
arkadaşlar merhaba
autocad 2012 de wipeout komutunu kullanırken tek obje secebiliyorum
ben çoklu nesne secmek istiyorum bunu yapabilecegim bir lisp var mı ?

01.10.2015 12:20    

ehya
abdoss




Kod:

(defun c:wpsec ()
(if (setq ss (ssget (list (cons 0 "LWPOLYLINE")(cons 70 1))))
  (progn
    (setq c 0 say (sslength ss))
    (while (< c say)
      (setq tek (ssname ss c))
      (command "_wipeout" "p" tek "y")
      (setq c (+ c 1)))))(princ))

08.10.2015 08:44    

volkan_25
(defun _SetCLayer (layerName)
(if (tblsearch "layer" layerName)
(setvar 'clayer layerName)
(prompt
(strcat "\n** Layer "" layerName "" not found ** ")
)
)
(princ)
)

(defun c:yo () (_SetCLayer "MIOLy"))
(defun c:do () (_SetCLayer "MIOLd"))
(defun c:ddo () (_SetCLayer "MDOL"))
(defun c:vo() (_SetCLayer "MVZOL"))



bu kod çalışıyor iatediğim tabi ki olursa bu koda layeri curen yaparken layert kapalı yada dondurlmuşsa veya kilitliyse açsın
böyle bir kod eklenebilirmi .

volkan_25 (08.10.2015 09:23 GMT)

08.10.2015 10:09    

alumina
Alıntı
volkan_25 :


Eklemekle ugrasmak yerine;

Kod:

(defun c:ly (/ n)
  (if (and (/= (setq n (getstring T "\nLayer name:")) "") (tblobjname "layer" n))
    (progn
      (setvar "cmdecho" 0)
      (command "._layer" "on" n ""
               "._layer" "thaw" n ""
               "._layer" "unlock" n "")
      (setvar "clayer" n))
      (if (/= n "") (alert (strcat n " not found"))))
  (princ)
)

08.10.2015 10:14    

volkan_25
emeğinize çok teşekkür ederim ama bana bu koda eklenmiş olursa işime çok yarayacak çünkü okdda layer değişimlerim çabuk oluyor

08.10.2015 10:35    

alumina
Alıntı
volkan_25 :
emeğinize çok teşekkür ederim ama bana bu koda eklenmiş olursa işime çok yarayacak çünkü okdda layer değişimlerim çabuk oluyor



Kod:

(defun ly (/)
  (if (tblobjname "layer" n)
    (progn
      (setvar "cmdecho" 0)
      (command "._layer" "on" n ""
               "._layer" "thaw" n ""
               "._layer" "unlock" n "")
      (setvar "clayer" n))
      (alert (strcat n " not found")))
  (princ)
)

(defun c:yo (/ n) (setq n "MIOLy") (ly) (princ))
(defun c:do (/ n) (setq n "MIOLd") (ly) (princ))
(defun c:ddo (/ n) (setq n "MDOL") (ly) (princ))
(defun c:vo (/ n) (setq n "MVZOL") (ly) (princ))

alumina (08.10.2015 14:47 GMT)

08.10.2015 10:54    

volkan_25
elinize sağlık çok güzel olmuş teş.ederim.

16.10.2015 20:45    

CAN123
Arkadaşlar merhaba,

Ölçülendirmeyle ilgili bir lispe ihtiyacım var. Seçeceğim aynı değerdeki ölçüleri silip yerine silinen ölçü adedi ve birim ölçüyü yazmasını istiyorum.


teşekkür ederim

17.10.2015 09:21    

halilozcakir
Merhaba , layer manager e girip renk numarasını süzüp eski numara gir yeni değişmesini istediğin numarayı gir şeklinde lisp olabilir mi arkadaşlar paylaşabilir misiniz ?

17.10.2015 09:51    

alumina
Butun layerleri tara, renk numarasi 16 olanlari 28 yap gibi mi?

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] > 66 < [70] [75] [80] [85] [90] [95] [100] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.303 saniye - Sorgu: 98 - Ortalama: 0.0133 saniye